【Python】pip で SSL関連のエラー

Pocket
LINEで送る

pip でモジュールを追加しようとしたら、以下のような警告文が出た。

WARNING: pip is configured with locations that require TLS/SSL, however the ssl module in Python is not available.

これでモジュールが追加できないこともあるようなので対応させる。

Python と pipを再インストールするとよいみたい。


pip install -U pip # pip自体のアップデート

pyenv install —list # インストール出来るバージョンの確認

pyenv versions # 切り替えられるpythonのバージョンの確認

python --version # 現在のバージョンの確認

pyenv install 3.8.0 # 

python global 3.8.0 # pythonのバージョンの切り替え

参考サイト


Pocket
LINEで送る

水族館のサバイバル 1 (科学漫画サバイバルシリーズ71)こども六法しましまぐるぐる (いっしょにあそぼ) 0~2歳児向け 絵本女帝 小池百合子鬼滅の刃 風の道しるべ (JUMP j BOOKS)バァフアウト! 8月号 AUGUST 2020 Volume 299 永瀬 廉(King & Prince) (Brown’s books)